Spring 93.1 / 93.2 - Page 3

Spring 93.1 / 93.2

Discuss Spring news, such as fresh releases and press coverage, here.
User avatar
danil_kalina
Posts: 505
Joined: 08 Feb 2010, 22:21

Re: Spring 93.1

Post by danil_kalina » 14 Mar 2013, 19:22

why spring_93.2_portable.7z
has inside a folder "spring-93.2"

but spring_93.2_minimal-portable.7z
has inside "Spring Content"

???
0 x

User avatar
PepeAmpere
Posts: 586
Joined: 03 Jun 2010, 01:28

Re: Spring 93.1

Post by PepeAmpere » 14 Mar 2013, 19:34

abma wrote:
PepeAmpere wrote:[*] why the hell almost every minute the setting of autohosts is changed (version to version?) why all set to 93.2 without release of 93.2????[/list]
93.2 is "released". as this is a hotfix for linux static builds only and macosx buildslave is currently down i made no bigger release note.
I have quite a problem because some lobbies say my windows 93.1 is not compatible with autohosts 93.2.

I would suggest dont make versions with different numbers for different platforms when some version checkers are present in some lobbies and some servers or autohosts sync settings. Is it too hard to make 93.2 windows version, too?.

This brings another level of mess in the hell spring releasers made today.
0 x

User avatar
smoth
Posts: 22297
Joined: 13 Jan 2005, 00:46

Re: Spring 93.1

Post by smoth » 14 Mar 2013, 19:57

93.1 wouldn't be compatible with 93.2... why would it ever be
0 x

User avatar
PepeAmpere
Posts: 586
Joined: 03 Jun 2010, 01:28

Re: Spring 93.1

Post by PepeAmpere » 14 Mar 2013, 20:14

smoth wrote:93.1 wouldn't be compatible with 93.2... why would it ever be
no idea, I dont know WHY amba says this:
abma wrote:93.2 is "released". as this is a hotfix for linux static builds only and macosx buildslave is currently down i made no bigger release note.
If i ask for stupid questions, thats because there is no communication from person behind changes of this day.

THERES NO official MESSAGE about releasing 93.2! check springrts.com homepage. NO MESSAGE. Check http://springrts.com/wiki/Download - do you see there anything like 93.2? no. so i ask, why there was enforced ANOTHER NEW engine on servers. noone on main channels said a word about such action! Theres no commication about that version of engine demanded by autohosts. No message!, at leasts, editing of first post of this discussion would be "something", but i see nothing.

Why theres not page with stable URL with the offical so-called last stable version? How is possible to force engine and not update the information places bounded with such a action?? Stupid widget creator is better in communication with his users then this unsupervised group of kids.

Create developers Twitter or just keep updated news page. I will follow that one source of info, whatever it is, but i need updates everytime there is done some change as engine enforcing or authosts settings.
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: Spring 93.1

Post by bibim » 14 Mar 2013, 21:10

PepeAmpere, I think you're mixing a few things...

When abma says he released Spring 93.2, he just means he made the files available.

When one connects to Spring lobby server, the "standard" version declared by the server is still 93.1.

The fact that your autohost is running Spring 93.2 is just due to Licho setting this version as the default one for his Springie autohosts. If you have complaints about that I think you should see that with him, it shouldn't be hard for him to configure your autohost differently.
0 x

varikonniemi
Posts: 447
Joined: 03 Jul 2011, 11:54

redacted

Post by varikonniemi » 14 Mar 2013, 21:19

redacted
Last edited by varikonniemi on 14 Mar 2013, 21:31, edited 2 times in total.
0 x

gajop
Moderator
Posts: 3023
Joined: 05 Aug 2009, 20:42

Re: Spring 93.1

Post by gajop » 14 Mar 2013, 21:20

smoth wrote:93.1 wouldn't be compatible with 93.2... why would it ever be
All versions that have the same major number are supposed to sync, regardless of their minor number, so 93.1 and 93.2 should* still be in sync (and thus compatible).

That said, if for some reason your lobby client or autohost server decide you cannot play if minor numbers differ, they might still be compatible, but it's not the engine's fault here.

*If engines with the same major number desync, you probably have the engine devs to blame for that.
0 x

User avatar
PepeAmpere
Posts: 586
Joined: 03 Jun 2010, 01:28

Re: Spring 93.1

Post by PepeAmpere » 14 Mar 2013, 21:29

I know those things are mixed. Im saying those mixed steps are not communicated, steps are not coordinated. (btw authost demand is the smallest thing, the more imporant is main server demand forcing SL and TAS to download different version of engine then authosts use - its not only those lobbies issue)

And for players of our games it doesnt matter WHY the game is not playble, the important fact is, the game is simply not playable.

I can understand some bugs or mistake were made, i dont understand why some Message about this mess is not present on homepage.

I know some things are done by combination of facts, that some guys doing engine, someone sits on autohosts, someone else is doing lobby, some others make mods and maps. But why the person forcing new engine knowing all these facts doesnt communicate about his plans with on some public stable URL channel? Why i have to allways dig in some developers caves to find what happend in next few hours???
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: Spring 93.1

Post by bibim » 14 Mar 2013, 21:44

PepeAmpere wrote:I know those things are mixed. Im saying those mixed steps are not communicated, steps are not coordinated. (btw authost demand is the smallest thing, the more imporant is main server demand forcing SL and TAS to download different version of engine then authosts use - its not only those lobbies issue)
The lobby server doesn't force anything, it just declares what Spring engine version is the standard one. The engine devs choose what Spring version is the standard one at a given time.

The lobby devs choose if they implement multi-engine support or not (currently I believe at least SL and TASClient don't include multi-engine support).

The autohost owners choose if they want to use the standard spring version (and be compatible with all clients), or a different version (and be only compatible with clients supporting multi-engine).

You have an autohost which uses a different Spring version than the standard one, this is the only reason why you have problems with SL and TASClient. It has nothing to do with lobby server forcing them to download anything.
0 x

Satirik
Lobby Developer
Posts: 1688
Joined: 16 Mar 2007, 18:27

Re: Spring 93.1

Post by Satirik » 14 Mar 2013, 22:05

Why is this unofficial?

The code is more complex and some of the project members do not like this.
WHO THE FUCK are those project members ? Finaly someone is making a full multithreaded spring (well he also made the half multithreaded version) and someone is still whining ? what the hell !

Let's all help zerver stabilizing Spring MT : http://springrts.com/wiki/Spring_MT
0 x

User avatar
PepeAmpere
Posts: 586
Joined: 03 Jun 2010, 01:28

Re: Spring 93.1

Post by PepeAmpere » 14 Mar 2013, 22:07

bibim wrote:... this is the only reason why you have problems with SL and TASClient. It has nothing to do with lobby server forcing them to download anything.
OMG

I mentioned exactly this fact maybe 12 posts ago. Thx for repeating it. But the technical "truth" is not the key:

If someone knows about SL and TAS behavior and ignore fact, that majority of players still use SL, he force people (players that sometimes knows NOTHING we talk about here) to face that behavior. So its problem of guy who sets the current engine version on server, too!

His task in such situation is at least:
  • communicate with users (devs,players) whats happening and what can happend in next hours
  • contact developers of those two lobbies that such problem arise every and every spring release
  • announce the date and hour of his action (new engine version live) at least few hours before he makes some games unplayable
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: Spring 93.1

Post by bibim » 14 Mar 2013, 22:27

* facepalm *

Well I give up, now let's stop the off-topic please.
Last edited by bibim on 15 Mar 2013, 01:41, edited 1 time in total.
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: Spring 93.1 / 93.2

Post by abma » 15 Mar 2013, 00:31

@danil_kalina:

minimal portable is meant for automatic download / install while the "normal" portable is for end-users (as it has the same content as the .exe).
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: Spring 93.1 / 93.2

Post by abma » 15 Mar 2013, 03:24

also, before wining about bugs, please help to implement regression tests.
0 x

User avatar
smoth
Posts: 22297
Joined: 13 Jan 2005, 00:46

Re: Spring 93.1 / 93.2

Post by smoth » 15 Mar 2013, 04:36

Why is MT spring now the default? in the latest default build? Something we content devs need to know about?
0 x

User avatar
danil_kalina
Posts: 505
Joined: 08 Feb 2010, 22:21

Re: Spring 93.1 / 93.2

Post by danil_kalina » 15 Mar 2013, 14:36

Hey, game developers, .... Picture
0 x

zerver
Spring Developer
Posts: 1358
Joined: 16 Dec 2006, 20:59

Re: Spring 93.1 / 93.2

Post by zerver » 15 Mar 2013, 17:05

smoth wrote:Why is MT spring now the default? in the latest default build? Something we content devs need to know about?
spring-singlethreaded is deprecated and will be removed. The reason is that spring can run in ST/MT mode depending on modinfo and user settings. There are no known compatibility issues in ST mode. If you find anything mantis asap.
0 x

User avatar
Jools
XTA Developer
Posts: 2804
Joined: 23 Feb 2009, 16:29

Re: Spring 93.1 / 93.2

Post by Jools » 15 Mar 2013, 17:44

It's really cool that spring now has a working MT executable. Most programs on windows 7 still run on only one core afaik. Keep up the good work.

Edit: this means that we don't need to /shall not set cpu affinity anymore with imagecfg when installing spring?
0 x

User avatar
smoth
Posts: 22297
Joined: 13 Jan 2005, 00:46

Re: Spring 93.1 / 93.2

Post by smoth » 15 Mar 2013, 18:35

zerver wrote:
smoth wrote:Why is MT spring now the default? in the latest default build? Something we content devs need to know about?
spring-singlethreaded is deprecated and will be removed. The reason is that spring can run in ST/MT mode depending on modinfo and user settings. There are no known compatibility issues in ST mode. If you find anything mantis asap.
MT Spring is not the only approach in development though.
0 x

User avatar
Licho
Zero-K Developer
Posts: 3803
Joined: 19 May 2006, 19:13

Re: Spring 93.1 / 93.2

Post by Licho » 15 Mar 2013, 19:58

The incompatible warning is displayed, because SL does not implement engine version protocol.

So lobby server changes title to show it as incompatible, because it thinks that 93.1 != 93.2 (not actually true).

Solution (pick any):
use zkl
use notalobby
update sl and use it
update tasclient and use it
update uberserver to at least stop displaying message
0 x

Post Reply

Return to “News”